diff a/pom.xml b/pom.xml
--- a/pom.xml
+++ b/pom.xml
@@ -79,10 +79,12 @@
 		<maven.buildnumber.version>1.4</maven.buildnumber.version>
 		<maven.deploy.version>2.8.2</maven.deploy.version>
 		<maven.directory.version>0.2</maven.directory.version>
 		<maven.enforcer.version>3.0.0-M1</maven.enforcer.version>
 		<maven.resources.version>3.0.2</maven.resources.version>
+		<spotless.version>1.26.0</spotless.version>
+		<spotless.config.path>${basedir}/configuration/ide/eclipse/formatting/formatting.xml</spotless.config.path>
 		<spotbugs.version>3.1.10</spotbugs.version>
 		<buildId>${user.name}</buildId>
 		<!-- The version of the JDK embedded. When not embedding a JDK (this is 
 			usually the case), leave this empty. If embedding a JDK, include a comma 
 			and space, e.g. <jdkVersion>, JDK 12.0.2</jdkVersion> -->
@@ -411,10 +413,23 @@
 							</rules>
 						</configuration>
 					</execution>
 				</executions>
 			</plugin>
+			<plugin>
+  			<groupId>com.diffplug.spotless</groupId>
+  			<artifactId>spotless-maven-plugin</artifactId>
+  			<version>${spotless.version}</version>
+  			<configuration>
+    			<java>
+      			<eclipse>
+      				<file>${spotless.config.path}</file>
+      				<version>4.8.0</version>
+      			</eclipse>
+    			</java>
+  			</configuration>
+			</plugin>
 		</plugins>
 		<pluginManagement>
 			<plugins>
 				<plugin>
 					<groupId>org.apache.maven.plugins</groupId>
